rte_bbdev_ops(3)

NAME
rte_bbdev_ops

SYNOPSIS

#include <rte_bbdev_pmd.h>

  Data Fields

rte_bbdev_setup_queues_t setup_queues
rte_bbdev_intr_enable_t intr_enable
rte_bbdev_start_t start
rte_bbdev_stop_t stop
rte_bbdev_close_t close
rte_bbdev_info_get_t info_get
rte_bbdev_stats_get_t stats_get
rte_bbdev_stats_reset_t stats_reset
rte_bbdev_queue_setup_t queue_setup
rte_bbdev_queue_release_t queue_release
rte_bbdev_queue_start_t queue_start
rte_bbdev_queue_stop_t queue_stop
rte_bbdev_queue_intr_enable_t queue_intr_enable
rte_bbdev_queue_intr_disable_t queue_intr_disable
rte_bbdev_queue_ops_dump_t queue_ops_dump

Detailed Description

Operations implemented by drivers. Fields marked as "Required" must be provided by a driver for a device to have basic functionality. "Optional" fields are for non-vital operations

Definition at line 148 of file rte_bbdev_pmd.h.

Field Documentation

  rte_bbdev_setup_queues_t setup_queues
Allocate and configure device memory. Optional.

Definition at line 150 of file rte_bbdev_pmd.h.

  rte_bbdev_intr_enable_t intr_enable
Configure interrupts. Optional.

Definition at line 152 of file rte_bbdev_pmd.h.

  rte_bbdev_start_t start
Start device. Optional.

Definition at line 154 of file rte_bbdev_pmd.h.

  rte_bbdev_stop_t stop
Stop device. Optional.

Definition at line 156 of file rte_bbdev_pmd.h.

  rte_bbdev_close_t close
Close device. Optional.

Definition at line 158 of file rte_bbdev_pmd.h.

  rte_bbdev_info_get_t info_get
Get device info. Required.

Definition at line 161 of file rte_bbdev_pmd.h.

  rte_bbdev_stats_get_t stats_get
Get device statistics. Optional.

Definition at line 163 of file rte_bbdev_pmd.h.

  rte_bbdev_stats_reset_t stats_reset
Reset device statistics. Optional.

Definition at line 165 of file rte_bbdev_pmd.h.

  rte_bbdev_queue_setup_t queue_setup
Set up a device queue. Required.

Definition at line 168 of file rte_bbdev_pmd.h.

  rte_bbdev_queue_release_t queue_release
Release a queue. Required.

Definition at line 170 of file rte_bbdev_pmd.h.

  rte_bbdev_queue_start_t queue_start
Start a queue. Optional.

Definition at line 172 of file rte_bbdev_pmd.h.

  rte_bbdev_queue_stop_t queue_stop
Stop a queue pair. Optional.

Definition at line 174 of file rte_bbdev_pmd.h.

  rte_bbdev_queue_intr_enable_t queue_intr_enable
Enable queue interrupt. Optional

Definition at line 177 of file rte_bbdev_pmd.h.

  rte_bbdev_queue_intr_disable_t queue_intr_disable
Disable queue interrupt. Optional

Definition at line 179 of file rte_bbdev_pmd.h.

  rte_bbdev_queue_ops_dump_t queue_ops_dump
Dump operations on the queue. Optional

Definition at line 181 of file rte_bbdev_pmd.h.

Author

Generated automatically by Doxygen for DPDK from the source code.